#include "DummyQueryManager.h"


namespace GtpVisibility {

  /** 
	Uses explicit camera to execute the visibility query
  */
  void
  DummyQueryManager::ComputeCameraVisibility(const Camera &camera,
					     InfoContainer<NodeInfo> *visibleNodes,
					     InfoContainer<MeshInfo> *visibleGeometry,
						 InfoContainer<GtpVisibility::PatchInfo> *visiblePatches,
					     bool relativeVisibility)
  {
	  visibleNodes->push_back(NodeInfo(mHierarchyInterface->GetHierarchyRoot(), 0, 0));
    
//      HierarchyInterface::MeshIterator *mi =
//        hierarchyInterface->GetMeshIterator(hierarchyInterface->GetRoot());
    
//      for (; mi(); mi++)
//        visibleGeometry.push_back(MeshInfo(*mi, 1.0f));
  }
  
  /** 
      Uses the specified point to execute the visibility query in all directions
  */
  void
  DummyQueryManager::ComputeFromPointVisibility(const Vector3 &point,
						InfoContainer<NodeInfo> *visibleNodes,
						InfoContainer<MeshInfo> *visibleGeometry,
						InfoContainer<GtpVisibility::PatchInfo> *visiblePatches,
						bool relativeVisibility)
  {
	  visibleNodes->push_back(NodeInfo(mHierarchyInterface->GetHierarchyRoot(), 0, 0));
    
//      HierarchyInterface::MeshIterator *mi =
//        hierarchyInterface->GetMeshIterator(hierarchyInterface->GetRoot());
    
//      for (; mi(); mi++)
//        visibleGeometry.push_back(MeshInfo(*mi, 1.0f));
  }
  
};
